package cn.ibizlab.humanresource.core.humanresource.filter;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.*;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;

import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;


import cn.ibizlab.humanresource.util.filter.QueryWrapperContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.humanresource.core.humanresource.domain.HRPostRel;
/**
 * 关系型数据实体[HRPostRel] 查询条件对象
 */
@Slf4j
@Data
public class HRPostRelSearchContext extends QueryWrapperContext<HRPostRel> {

	private String n_hrpostrelname_like;//[职位关系名称]
	public void setN_hrpostrelname_like(String n_hrpostrelname_like) {
        this.n_hrpostrelname_like = n_hrpostrelname_like;
        if(!ObjectUtils.isEmpty(this.n_hrpostrelname_like)){
            this.getSearchCond().like("hrpostrelname", n_hrpostrelname_like);
        }
    }
	private String n_hrpostid_eq;//[职位标识]
	public void setN_hrpostid_eq(String n_hrpostid_eq) {
        this.n_hrpostid_eq = n_hrpostid_eq;
        if(!ObjectUtils.isEmpty(this.n_hrpostid_eq)){
            this.getSearchCond().eq("hrpostid", n_hrpostid_eq);
        }
    }
	private String n_hrpostname_eq;//[职位]
	public void setN_hrpostname_eq(String n_hrpostname_eq) {
        this.n_hrpostname_eq = n_hrpostname_eq;
        if(!ObjectUtils.isEmpty(this.n_hrpostname_eq)){
            this.getSearchCond().eq("hrpostname", n_hrpostname_eq);
        }
    }
	private String n_hrpostname_like;//[职位]
	public void setN_hrpostname_like(String n_hrpostname_like) {
        this.n_hrpostname_like = n_hrpostname_like;
        if(!ObjectUtils.isEmpty(this.n_hrpostname_like)){
            this.getSearchCond().like("hrpostname", n_hrpostname_like);
        }
    }
	private String n_phrpostid_eq;//[职位标识]
	public void setN_phrpostid_eq(String n_phrpostid_eq) {
        this.n_phrpostid_eq = n_phrpostid_eq;
        if(!ObjectUtils.isEmpty(this.n_phrpostid_eq)){
            this.getSearchCond().eq("phrpostid", n_phrpostid_eq);
        }
    }
	private String n_phrpostname_eq;//[直接上级职位]
	public void setN_phrpostname_eq(String n_phrpostname_eq) {
        this.n_phrpostname_eq = n_phrpostname_eq;
        if(!ObjectUtils.isEmpty(this.n_phrpostname_eq)){
            this.getSearchCond().eq("phrpostname", n_phrpostname_eq);
        }
    }
	private String n_phrpostname_like;//[直接上级职位]
	public void setN_phrpostname_like(String n_phrpostname_like) {
        this.n_phrpostname_like = n_phrpostname_like;
        if(!ObjectUtils.isEmpty(this.n_phrpostname_like)){
            this.getSearchCond().like("phrpostname", n_phrpostname_like);
        }
    }

    /**
	 * 启用快速搜索
	 */
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
            this.getSearchCond().and( wrapper ->
                     wrapper.like("hrpostrelname", query)   
            );
		 }
	}
}



